Subject: Re: bug#12648: 24.2.50; display-buffer switches to another frame

From: martin rudalics <[email-masked]>
Date: Wed, 17 Oct 2012 11:37:59 +0200

> I'm not sure what is its semantics either, but the problem you're
 > referring to is specifically when *creating* a new frame, so it
 > basically means that inhibit-switch-frame can only work reliably if it
 > prevents creation of new frames.  But it might still make a difference
 > when using an existing frame by preventing that we raise that frame.
 > Not sure if it will also repvent it from being de-iconified (which
 > would again risk raising it outside of our control).

Looks like a problem with reconciling conflicting values in the
`inhibit-switch-frame' (t) and `reusable-frames' (0 or t) entries.

martin